REQUIRED_PACKAGES in oi-userland

I just merged PR, which brings REQUIRED_PACKAGES feature from userland-gate. This allows specifying and installing build time dependencies. It introduces following targets: gmake REQUIRED_PACKAGES – this target will modify component Makefile, so it contains autogenerated REQUIRED_PACKAGES. REQUIRED_PACKAGES is not 100% and manual check has to be done in some cases. Read More …

Go 1.6.2 now available

The Go programming language version 1.6.2 was added to oi-userland, based on solaris-userland’s component and porting efforts, and is now available for download from the Hipster repository. The current package contains a vanilla installation which means that no additional Go package is provided: these can be contributed or added if Read More …